### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# testing.decorators_numpy

## Module: `testing.decorators_numpy`

Decorators for labeling test objects

Decorators that merely return a modified version of the original function object are straightforward. Decorators that return a new function object need to use nose.tools.make_decorator(original_function)(decorator) in returning the decorator, in order to preserve metadata such as function name, setup and teardown functions and so on - see nose.tools for more information.

## Functions

`IPython.testing.decorators_numpy.``setastest`(tf=True)

  Signals to nose that this function is or is not a test

  Parameters:

  tf : bool

  > If True specifies this is a test, not a test otherwise

  This decorator cannot use the nose namespace, because it can be :

  called from a non-test module. See also istest and nottest in :

  nose.tools :

`IPython.testing.decorators_numpy.``skipif`(skip_condition=True, msg=None)

  Make function raise SkipTest exception if skip_condition is true

  Parameters:

  skip_condition : bool or callable.

  > > Flag to determine whether to skip test. If the condition is a callable, it is used at runtime to dynamically make the decision. This is useful for tests that may require costly imports, to delay the cost until the test suite is actually executed.

  > msg : string

  >   Message to give on raising a SkipTest exception

  Returns:

  decorator : function

  > Decorator, which, when applied to a function, causes SkipTest to be raised when the skip_condition was True, and the function to be called normally otherwise.

  Notes

  You will see from the code that we had to further decorate the decorator with the nose.tools.make_decorator function in order to transmit function name, and various other metadata.

`IPython.testing.decorators_numpy.``skipknownfailure`(f)
  Decorator to raise SkipTest for test known to fail

`IPython.testing.decorators_numpy.``slow`(t)

  Labels a test as ‘slow’.

  The exact definition of a slow test is obviously both subjective and hardware-dependent, but in general any individual test that requires more than a second or two should be labeled as slow (the whole suite consits of thousands of tests, so even a second is significant).

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »